db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kathey Marsden <kmarsdende...@sbcglobal.net>
Subject Re: 10.3 blocker issue - DERBY-2728
Date Wed, 30 May 2007 17:37:38 GMT
Mike Matrigali wrote:
>
> I do wonder if there would be value to only apply the new options to 
> 10.3 databases.  Should we maintain exact compatibility in the soft
> upgrade case?
>
I tend to think it is better to have the new behavior even in soft 
upgrade mode.  The model normally is to test your application in soft 
upgrade and then hard upgrade if all went well.    If the new behaviour 
is masked until hard upgrade, there is no option to go back, so I'd 
rather see the hit on soft upgrade, but I can see the other point of 
view.  I agree that the incompatibility is a justified  incompatibility 
and upgrade risk if sql authorization is used.

Kathey





Mime
View raw message